.modal{
    display: flex;
    @include flexCenter;
    position: fixed;
    height: 100%;
    width: 100%;
    padding: 20px;
    @include TLa;
    z-index: 21;
    pointer-events: none;
    transition: .5s ease all;
    transform: scale(0.3);
    opacity: 0;
    &__inner{
        min-width: 300px;
        min-height: 300px;
        max-width: 100%;
        max-height: 100%;
        background: var(--modal-background);
        border-radius: 15px;
        padding: 50px 71px 50px 88px;
        transition: .3s all;
        pointer-events: none;
        position: relative;
        overflow-y: auto;
        overflow-x: hidden;
        &.smallRight{
            padding-right: 20px;
        }
        &::-webkit-scrollbar{
            width: 3px;
            display: none;
        }
        &::-webkit-scrollbar-track{
            background: transparent;
            margin: 11px 7px 11px 0px;
        }
        &::-webkit-scrollbar-thumb{
            background-color: var(--main-reverse);
            border-radius: 6.5px;
        }
    }
    &__background{
        background: #0000005E;
        backdrop-filter: blur(6.5px);
        position: fixed;
        width: 100%;
        height: 100%;
        z-index: 20;
        opacity: 0;
        @include transition;
        pointer-events: none;
        @include TLa();
        &.active{
            opacity: 1;
            pointer-events: all;
        }
    }
    &.active{
        transform: scale(1);
        opacity: 1;
        pointer-events: all;
        .modal__inner{
            pointer-events: all;
        }
    }

    &__exit{
        position: absolute;
        @include TRa(19px, 20px);
        cursor: pointer;
        *{
            stroke: var(--main);
        }
    }

    &__title{
        @include font(20px, 'Montserrat', var(--lang-color), 25px, 500);
        margin-bottom: 44px;
        &.center{
            text-align: center;
        }
    }

    &__choiceAvatar{
        @include grid(6, 1fr, 25px);
        &-item{
            width: 157px;
            height: 133px;
            display: flex;
            @include flexCenter;
            background: var(--choiceAva);
            cursor: pointer;
            border-radius: 8px;
            position: relative;
            border: 1px solid transparent;
            @include transition;
            &:hover{
                border-color: $orange;
            }
            &.checked{
                border-color: $orange;
            }
            &.active{
                .modal__choiceAvatar-select--wrapper{
                    display: flex;
                }
            }
        }
        &-button{
            padding: 12px 13px;
            margin: 65px auto 0;
            display: flex;
            @include flexCenter;
            width: 100%;
            max-width: 285px;
            font-weight: 600 !important;
            font-size: 14px !important;
        }
        &-avatar{
            max-width: 104px;
            max-height: 92px;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
        &-select{
            &--wrapper{
                position: absolute;
                @include BRa(-10px, -10px);
                @include box(37px, 50%);
                background: #FF5C00;
                display: none;
                @include flexCenter;
            }
        }
    }

    &__item{
        display: flex;
        max-height: 475px;
        height: 100%;
        overflow: auto;
        padding-right: 46px;
        &::-webkit-scrollbar{
            width: 12px;
        }
        &::-webkit-scrollbar-track{
            background: var(--modal-desc-scroll);
            border-radius: 6.5px;
        }
        &::-webkit-scrollbar-thumb{
            background-color: #FF7722;
            border-radius: 6.5px;
        }
        &-left{
            margin-right: 55px;
        }
        &-logo{
            width: 148px;
            height: 130px;
            &--wrapper{
                display: flex;
                justify-content: center;
                align-items: center;
                border-radius: 8px;
                width: 222px;
                height: 187px;
                background: var(--modal-item-logo);
            }
        }
        &-rare{
            width: 102px;
            height: 11px;
            background: #E443D4;
            border-radius: 8px;
            margin-right: 25px;
            &--text{
                @include font(16px, 'GothamPro', var(--modal-rare), 16px, 300);
            }
        }
        &-top{
            display: flex;
            align-items: center;
            margin-bottom: 10px;
        }
        &-title{
            @include font(32px, 'Montserrat', var(--mobileChat-message), 40px, 500);
            margin-bottom: 16px;
        }
        &-game{
            @include font(16px, 'GothamPro', var(--modal-game), 16px, 400);
            margin-bottom: 27px;
        }
        &-description{
            max-width: 742.37px;
            width: 100%;
            @include font(14px, 'GothamPro', #BFBFBF, 22px, 400);
            max-height: 217px;
            overflow: auto;
            padding-right: 20px;
            margin-bottom: 53px;
            &::-webkit-scrollbar{
                width: 6px;
            }
            &::-webkit-scrollbar-track{
                background: var(--modal-desc-scroll);
                border-radius: 6.5px;
            }
            &::-webkit-scrollbar-thumb{
                background-color: #FF7722;
                border-radius: 6.5px;
            }
        }
        &-line{
            display: flex;
            align-items: flex-end;
            margin-bottom: 23px;
        }
        &-price{
            margin-right: 56px;
            &--title{
                @include font(12px, 'Montserrat', var(--modal-price-title), 15px, 500);
                margin-bottom: 4px;
            }
            &--price{
                @include font(48px, 'Montserrat', var(--modal-price), 59px, 600);
            }
        }
        &-selNum{
            display: flex;
            align-items: center;
            height: 56px;
            &--left{
                border-radius: 28px 0px 0px 28px;
            }
            &--right{
                border-radius:  0 28px 28px 0;
            }
            &--num{
                @include font(32px, 'Montserrat', var(--modal-num), 40px, 500);
                height: 100%;
                background: var(--modal-sel-num);
                display: flex;
                @include flexCenter;
                width: 61px;
            }
        }
        &-sel{
            cursor: pointer;
            @include transition;
            height: 100%;
            display: flex;
            align-items: center;
            padding: 0 23px 0 25px;
            background: var(--modal-sel-num);
            &:hover{
                background: #F27832;
                svg *{
                    stroke: white;
                }
            }
            svg *{
                stroke: var(--modal-arrow);
                @include transition;
            }
        }
        &-buttons{
            display: flex;
            align-items: center;
        }

        &-button{
            &--add{
                padding: 19px 40px 20px;
                margin-right: 18px;
            }
            &--sell{
                background: var(--modal-button) !important;
                padding: 19px 40px 20px;
                &:hover{
                    background: -webkit-gradient(linear, left top, left bottom, from(#FF9649), to(#FF5C00)),-webkit-gradient(linear, left bottom, left top, from(#FFFFFF), to(#FFFFFF)) !important;
                }
            }
        }
    }

    &__deleteLot{
        &-title{
            @include font(20px, 'Montserrat', var(--reg-title), 25px, 400);
            margin-bottom: 35px;
            text-align: center;
        }

        &-subtitle{
            margin-bottom: 56px;
            @include font(16px, 'GothamPro', #7C7C7C, 21px, 400);
            text-align: center;
        }

        &-buttons{
            display: flex;
            justify-content: center;
            align-items: center;
        }

        &-button{
            width: 181.16px;
            padding: 17px 0;
            &.green{
                margin-right: 13px;
                background: linear-gradient(180deg, #35DA63 0%, #26A241 100%), linear-gradient(0deg, #FFFFFF, #FFFFFF);
                &:hover{
                    box-shadow: 0px 0px 15px 0px rgb(53 218 99 / 29%);
                }
            }
        }
    }

    &#deleteLot{
        .modal__inner{
            width: 889px;
        }
    }

    &#obrSvaz{
        .modal__inner{
            width: 1199px;
        }
    }

    &__obrSvaz{
        &-title{
            @include font(32px, 'Montserrat', var(--reg-title), 40px, 500);
            margin-bottom: 25px;
        }

        &-subtitle{
            @include font(16px, 'GothamPro', var(--anotherAuth-text), 16px, 400);
            margin-bottom: 53px;
        }

        &-form{
            display: flex;
            flex-direction: column;
            width: 100%;
            align-items: flex-start;
        }

        &-input{
            width: 100%;
            &:not(:last-of-type){
                margin-bottom: 25px;
            }
            &:last-of-type{
                margin-bottom: 48px;
            }
        }

        &-button{
            padding: 17px 55px;
        }
    }

    &#thanks{
        .modal__inner{
            width: 889px;
        }
    }

    &__thanks{
        &-title{
            @include font(32px, 'Montserrat', var(--reg-title), 40px, 500);
            margin-bottom: 35px;
            text-align: center;
        }
        &-subtitle{
            @include font(20px, 'GothamPro', #7C7C7C, 20px, 400);
            margin-bottom: 52px;
            text-align: center;
        }
        &-button{
            padding: 17px 55px;
            &--wrapper{
                display: flex;
                justify-content: center;
            }
        }
    }

    &#spor{
        .modal__inner{
            width: 1199px;
        }
    }

    &__spor{
        &-title{
            @include font(20px, 'Montserrat', var(--reg-title), 40px, 500);
            margin-bottom: 40px;
        }
        &-subtitle{
            @include font(16px, 'GothamPro', #7C7C7C, 20px, 400);
            margin-bottom: 24px;
        }
        &-grid{
            @include grid(2, 1fr, 11px 14px);
            margin-bottom: 23px;
        }
        &-select{
            width: 100%;
            display: flex;
            justify-content: center;
            padding: 21px 0;
            background: var(--modal-desc-scroll);
            border: 1px solid var(--modal-desc-scroll);
            border-radius: 6px;
            cursor: pointer;
            &--text{
                @include font(16px, 'GothamPro', var(--modal-spor-text), 16px, 400);
            }
        }

        &-radio{
            display: none;
        }

        &-radio:checked + .modal__spor-select{
            border-color: #FF9649;
        }

        &-input{
            width: 100%;
            margin-bottom: 35px;
        }

        &-button{
            padding: 17px 55px;
        }
    }

    &__loading{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        &-loading{
            animation: loading 1s linear infinite;
            width: 117px;
            height: 117px;
        }
        &-text{
            text-align: center;
            margin-top: 18px;
            @include font(32px, 'GothamPro', white, 40px, 700);
            font-style: italic;
        }
    }

    &__lineChar{
        padding-bottom: 10px;
        &:not(:last-of-type){
            margin-bottom: 20px;
        }

        &-line{
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        &-text{
            font-family: "GothamPro";
            line-height: 16px;
            font-weight: 400;
            font-size: 16px;
            color: var(--modal-game);
        }

        &-hr{
            height: 2px;
            border: none;
            background: var(--modal-button) !important;
        }
    }

    .addLot__sixLine-block {
        height: 106px;
        margin-top: 40px;
        margin-bottom: 40px;
    }
}

.dark{
    .modal__spor-radio:checked + .modal__spor-select{
        border-color: #D97034;
        background: #D97034;
    }
}
